Apache JMeter

## org.apache.jmeter.protocol.http.sampler
Class PutWriter

    java.lang.Object
      org.apache.jmeter.protocol.http.sampler.PostWriter
          org.apache.jmeter.protocol.http.sampler.PutWriter

    public class PutWriter

extends PostWriter

Class for setting the necessary headers for a PUT request, and sending the body of the PUT.

Field Summary

Fields inherited from class org.apache.jmeter.protocol.http.sampler.PostWriter
`BOUNDARY, ENCODING, formDataPostBody, formDataUrlEncoded`

Constructor Summary
`PutWriter()` Constructor for PutWriter.

Method Summary
`void` `setHeaders(URLConnection connection, HTTPSamplerBase sampler)`

Methods inherited from class org.apache.jmeter.protocol.http.sampler.PostWriter
`getBoundary, sendPostData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutWriter

    public PutWriter()

  Constructor for PutWriter.

Method Detail

### setHeaders

    public void setHeaders(URLConnection connection,
                           HTTPSamplerBase sampler)
                    throws IOException

  Overrides:
    `setHeaders` in class `PostWriter`
  Throws:
    `IOException`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.